package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.UserDictMapper;
import com.sa.ibiz.demo.demo.domain.UserDict;
import com.sa.ibiz.demo.demo.service.UserDictService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.UserDictSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[UserDict] 服务对象接口实现
 */
@Service
public class UserDictServiceImpl extends ServiceImplBase<UserDictMapper, UserDict> implements UserDictService{


    @Resource
    private UserDictMapper userdictMapper;


    @Override
    public boolean create(UserDict et) {
        this.beforeCreate(et);
        String primaryKey=et.getUserdictid();
        if(StringUtils.isEmpty(primaryKey))
        {
            primaryKey=(String)et.getDefaultPrimaryKey();
            et.setUserdictid(primaryKey);
         }
         return super.create(et);
    }
    @Override
	public UserDict get(UserDict et) {
        String primaryKey=et.getUserdictid();
         if(StringUtils.isEmpty(primaryKey))
         {
             primaryKey=(String)et.getDefaultPrimaryKey();
             et.setUserdictid(primaryKey);
          }
		      return super.get(et);
	}

    @Override
   	public boolean remove(UserDict et) {
        String primaryKey=et.getUserdictid();
         if(StringUtils.isEmpty(primaryKey))
         {
             primaryKey=(String)et.getDefaultPrimaryKey();
             et.setUserdictid(primaryKey);
          }
   		     return super.remove(et);
   	}

    @Override
    public boolean update(UserDict et){
        String primaryKey=et.getUserdictid();
         if(StringUtils.isEmpty(primaryKey))
         {
             primaryKey=(String)et.getDefaultPrimaryKey();
             et.setUserdictid(primaryKey);
          }
		     this.userdictMapper.updateOne(et);
		     this.get(et);
             return true;
    }


    public Object getEntityKey(UserDict et){
		return et.getUserdictid();  
    }

    @Override
    public boolean getDraft(UserDict et)  {
            return true;
    }
    @Override
    public UserDict reloadCurUser(UserDict et)  {
		return et;
    }

	public List<UserDict> listDefault(UserDictSearchFilter filter) {
		return userdictMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<UserDict> searchDefault(UserDictSearchFilter filter) {
		return userdictMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return userdictMapper.selectRow(sql);
    }

 }